package tech.nevets.tvpn.cli.commands;

import tech.nevets.tvpn.cli.Command;
import tech.nevets.tvpn.wg.WireGuardJNI;

public class UninstallTunnelServiceCmd implements Command {
    @Override
    public void execute(String[] args) {
        System.out.println("Executing UnInstallTunnelServiceCmd");
        System.out.println(new WireGuardJNI().removeTunnel(args[1]));
        System.exit(0);
    }

    @Override
    public String getName() {
        return "/uninstalltunnelservice";
    }

    @Override
    public String getUsage() {
        return "(tunnel name)";
    }

    @Override
    public String getDescription() {
        return "Stops and removes WireGuard Tunnel Service";
    }
}
